% function to read initial state from file
function [theta_l psi_l]=readini_state(inistate_file,i_init,z,dim)

init=dlmread(inistate_file,' ');
[m_i np] =size(init); %m_i number of observation values
tiefe=zeros(m_i,1);
tiefe2=zeros(m_i,1);
theta_l=zeros(dim,1);
psi_l=zeros(dim,1);
if i_init ==1 % theta initial conditions
 for i=1:m_i
  th_ini    = init(i,1);
  tiefe(i) = init(i,2);
  tiefe2(i) = init(i,3);
  pos =find (z  <= -tiefe(i) & z  > -tiefe2(i));
  for j= 1:length(pos)
   theta_l(pos(j))=th_ini;
  end
 end
elseif i_init ==2 % psi initial conditions
 for i=1:m_i
  psi_s    = init(i,1);
  tiefe(i) = init(i,2);
  tiefe2(i) = init(i,3);
  pos =find (z  <= -tiefe(i) & z  > -tiefe2(i));
  for j= 1:length(pos)
   psi_l(pos(j))=psi_s;
  end
 end
end

