% function to calculate theta as function of psi
function [theta_l c_l]=theta_psi(psi_l,thr,ths,alpha,n_vg,ks,stor,istyp,l_vg,dim,z)

theta_l=zeros(dim,1);
c_l=zeros(dim,1);
for i=1:dim
   if psi_l(i)>=0
     psi_l(i)=-0.001;
   end
   m_vg(i) = 1 - 1./n_vg(istyp(i));
   th_star(i) = (1./(1+(abs(psi_l(i)).*alpha(istyp(i))).^n_vg(istyp(i)))).^m_vg(i);
   theta_l(i)=thr(istyp(i))+th_star(i)*(ths(istyp(i))-thr(istyp(i)));
   % check constrains
   if theta_l(i) > ths(istyp(i))
         theta_l(i)= ths(istyp(i));
      elseif theta_l(i) < thr(istyp(i))
         theta_l(i) = thr(istyp(i))*1.1;
    end 
   if theta_l(i) <= 0.99* ths(istyp(i))
       y(i)= -m_vg(i).*(1./(1+abs((psi_l(i)).*alpha(istyp(i))).^n_vg(istyp(i)))).^(m_vg(i)+1) .*n_vg(istyp(i)).*(abs(psi_l(i)).*alpha(istyp(i))).^(n_vg(istyp(i))-1).*alpha(istyp(i));
       c_l(i)=-(ths(istyp(i))-thr(istyp(i))).*y(i);
   elseif theta_l(i) > 0.99 *ths(istyp(i))
       c_l(i)=stor(istyp(i));
   end
end
