% function to calculate soil hydraulic functions
function k_l=k_psi(psi_l,thr,ths,alpha,n_vg,ks,stor,istyp,l_vg,dim,z)
k_l=zeros(dim,1);
% calculate 
  for i=1:dim
    m_vg(i) = 1 - 1./n_vg(istyp(i));
    th_star(i) = (1./(1+(abs(psi_l(i)).*alpha(istyp(i))).^n_vg(istyp(i)))).^m_vg(i);
    v(i) = (1 + (alpha(istyp(i)) .* abs(psi_l(i))).^n_vg(istyp(i)));
    k_l(i) = ks(istyp(i)) .* (1 - (1 - v(i).^(-1)).^m_vg(i)).^2 ./ (v(i).^(m_vg(i).*l_vg));
   end 
