% function to calculate psi as function of theta
function [psi_l c_l]=psi_theta(theta_l,thr,ths,alpha,n_vg,ks,stor,istyp,l_vg,dim,z)

psi_l=zeros(dim,1);
c_l=zeros(dim,1);
for i=1:dim
    m_vg(i) = 1 - 1./n_vg(istyp(i));
    th_star(i)=(theta_l(i)-thr(istyp(i)))/(ths(istyp(i))-thr(istyp(i)));
    psi_l(i) = -1* ( (1 - th_star(i).^(1./m_vg(i)))./ (th_star(i).^(1./m_vg(i))) ).^(1./n_vg(istyp(i))) ./alpha(istyp(i));
    if theta_l(i) <= 0.99* ths(istyp(i))
       y(i)= -m_vg(i).*(1./(1+abs((psi_l(i)).*alpha(istyp(i))).^n_vg(istyp(i)))).^(m_vg(i)+1) .*n_vg(istyp(i)).*(abs(psi_l(i)).*alpha(istyp(i))).^(n_vg(istyp(i))-1).*alpha(istyp(i));
       c_l(i)=-(ths(istyp(i))-thr(istyp(i))).*y(i);
    elseif theta_l(i) > 0.99 *ths(istyp(i))
       c_l(i)=stor(istyp(i));
    end

end
